Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003165Zandronum[All Projects] Bugpublic2017-06-22 21:592017-07-09 23:51
ReporterKorshun 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003165: Spectating while frozen doesn't unfreeze the spectator
DescriptionIf a player is frozen using PROP_FROZEN or PROP_TOTALLYFROZEN and spectates, the spectator is not unfrozen.

This bug does not happen in 2.1.2.
Steps To Reproduce1. run the attached trivial test wad (it tests PROP_TOTALLYFROZEN)
2. spectate
Additional InformationCredits to Kaminsky and FusedQyou for discovering this bug.

This bug happens in WDI.
Attached Files? file icon totallyfrozen.wad [^] (313 bytes) 2017-06-22 21:59

- Relationships

-  Notes
User avatar (0017891)
Ru5tK1ng (updater)
2017-06-23 17:42

This issue follows the same time frame that I mentioned here: http://www.zandronum.com/tracker/view.php?id=3164#c17888 [^]

I have to say that the following commit might be the cause considering the changes Leonard made to P_User


https://bitbucket.org/Torr_Samaho/zandronum/commits/381f296c9c7c043959b95d032881dae71a64114c#Lsrc/p_user.cppF2773T2773 [^]
User avatar (0017901)
Ru5tK1ng (updater)
2017-06-24 23:38

The following fixed the issue for me when a player spectated or died in survival:

https://bitbucket.org/Ru5tK1ng/zandoom/commits/a7d2c0455f5891af232bd6e0e959b2dddf2e5b36 [^]

Since this isn't a game crashing bug and since it's been unknown for almost 2 years, I'll mark this for 3.1
User avatar (0017972)
Ru5tK1ng (updater)
2017-07-02 22:30

Updated to a much better way.

https://bitbucket.org/Ru5tK1ng/zandoom/branch/frozenspec#diff [^]
User avatar (0017994)
Torr Samaho (administrator)
2017-07-09 20:03

Thanks! I added the updated patch.
User avatar (0017998)
Ru5tK1ng (updater)
2017-07-09 23:51

<Kaminsky> Whenever I would spectate while PROP_FROZEN or PROP_TOTALLYFROZEN was on, it was disabled and I could move around freely.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Korshun Kaminsky
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-06-22 21:59 Korshun New Issue
2017-06-22 21:59 Korshun File Added: totallyfrozen.wad
2017-06-23 17:42 Ru5tK1ng Note Added: 0017891
2017-06-24 23:38 Ru5tK1ng Note Added: 0017901
2017-06-24 23:38 Ru5tK1ng Status new => needs review
2017-06-24 23:38 Ru5tK1ng Target Version => 3.1
2017-07-02 22:30 Ru5tK1ng Note Added: 0017972
2017-07-09 20:00 Torr Samaho Target Version 3.1 => 3.0
2017-07-09 20:03 Torr Samaho Note Added: 0017994
2017-07-09 20:03 Torr Samaho Status needs review => needs testing
2017-07-09 23:51 Ru5tK1ng Note Added: 0017998
2017-07-09 23:51 Ru5tK1ng Status needs testing => resolved
2017-07-09 23:51 Ru5tK1ng Resolution open => fixed
2017-07-09 23:51 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker